package xyz.wbsite.module.admin.ent;

import xyz.wbsite.frame.excel.annotation.ExcelNote;
import xyz.wbsite.frame.excel.annotation.ExcelSelect;
import com.alibaba.excel.annotation.ExcelProperty;
import xyz.wbsite.frame.excel.annotation.ExcelSheet;
import xyz.wbsite.frame.base.BaseEntity;

/**
 * SERVICES - 虚拟主机
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2021-02-08
 */
@ExcelSheet("虚拟主机")
public class Services extends BaseEntity {

    /**
     * TITLE - 主机标题
     */
    @ExcelProperty("主机标题")
    @ExcelNote("")
    private String title;
    /**
     * DOMAIN - 主机域名
     */
    @ExcelProperty("主机域名")
    @ExcelNote("")
    private String domain;
    /**
     * TYPE - 服务类型
     */
    @ExcelProperty("服务类型")
    @ExcelNote("")
    private String type;
    /**
     * PORT - 服务端口
     */
    @ExcelProperty("服务端口")
    @ExcelNote("")
    private Integer port;
    /**
     * VALID - 是否启用
     */
    @ExcelProperty("是否启用")
    @ExcelNote("")
    @ExcelSelect({"是","否"})
    private Boolean valid;
    /**
     * FILTER - 启用过滤
     */
    @ExcelProperty("启用过滤")
    @ExcelNote("")
    @ExcelSelect({"是","否"})
    private Boolean filter;
    /**
     * FILTER_CONF - 过滤配置
     */
    @ExcelProperty("过滤配置")
    @ExcelNote("")
    private String filterConf;

    public String getTitle() {
        return this.title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDomain() {
        return this.domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getType() {
        return this.type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getPort() {
        return this.port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }

    public Boolean getFilter() {
        return this.filter;
    }

    public void setFilter(Boolean filter) {
        this.filter = filter;
    }

    public String getFilterConf() {
        return this.filterConf;
    }

    public void setFilterConf(String filterConf) {
        this.filterConf = filterConf;
    }
}